# Uses of Class
org.apache.lucene.internal.hppc.CharObjectHashMap.CharObjectCursor

Packages that use CharObjectHashMap.CharObjectCursor
Package
Description
org.apache.lucene.internal.hppc
Internal copy of a subset of classes from the HPPC library.

- ## Uses of CharObjectHashMap.CharObjectCursor in org.apache.lucene.internal.hppc

  Methods in org.apache.lucene.internal.hppc that return types with arguments of type CharObjectHashMap.CharObjectCursor
  Modifier and Type
  Method
  Description
  `Iterator<CharObjectHashMap.CharObjectCursor<VType>>`
  CharObjectHashMap.`iterator()`
  Method parameters in org.apache.lucene.internal.hppc with type arguments of type CharObjectHashMap.CharObjectCursor
  Modifier and Type
  Method
  Description
  `int`
  CharObjectHashMap.`putAll(Iterable<? extends CharObjectHashMap.CharObjectCursor<? extends VType>> iterable)`